commit:     c19e1597aa7896c67bc860e3672e7d63e72ae203
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Jul  1 04:34:13 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jul  1 04:42:59 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c19e1597

lxde-base/lxsession: add 0.5.6

Closes: https://bugs.gentoo.org/957863
Closes: https://bugs.gentoo.org/958479
Signed-off-by: Sam James <sam <AT> gentoo.org>

 lxde-base/lxsession/Manifest               |  1 +
 lxde-base/lxsession/lxsession-0.5.6.ebuild | 75 ++++++++++++++++++++++++++++++
 2 files changed, 76 insertions(+)

diff --git a/lxde-base/lxsession/Manifest b/lxde-base/lxsession/Manifest
index 51e3c0978089..2a4705cf4a30 100644
--- a/lxde-base/lxsession/Manifest
+++ b/lxde-base/lxsession/Manifest
@@ -1 +1,2 @@
 DIST lxsession-0.5.5.tar.xz 422564 BLAKE2B 
27910f84ecd8df8af06649235d33604eb83e8203f6a485a7450a91887de691d161acf8f51d8c1786f8d073966ba88d20296275adc131b9fa1c670c0f9e3ecdef
 SHA512 
12e25214485cf855b380a5aa91eb536f31536c98f5a50a1115cb4bf8ff884c7cdcd40c69a1502eeb9f4d3e6169e0607d6488ef3152ee184662fee39fe7a04d54
+DIST lxsession-0.5.6.tar.gz 313234 BLAKE2B 
9de9af894764fa939822d68ec65c8d136df306ac5d402773266f55b2aa54c20fb88d38fdde490703283ae0cfc43451dff68506e1d940148375b320113781617d
 SHA512 
f54e2bf802374667d7557b0129373a3972e1395a21a856e9f74535cba913ceb4b109c1856426cd4ca7f5759d158d63b7068e16d9fc6b4a2102ad89eb5abccb23

diff --git a/lxde-base/lxsession/lxsession-0.5.6.ebuild 
b/lxde-base/lxsession/lxsession-0.5.6.ebuild
new file mode 100644
index 000000000000..adf5205bc469
--- /dev/null
+++ b/lxde-base/lxsession/lxsession-0.5.6.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit vala autotools
+
+DESCRIPTION="LXDE session manager"
+HOMEPAGE="https://github.com/lxde/lxsession";
+SRC_URI="https://github.com/lxde/lxsession/archive/refs/tags/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ppc ~riscv ~x86 ~x86-linux"
+IUSE="nls upower"
+# No real tests and as of 0.5.6, fails on an nls linting issue.
+RESTRICT="test"
+
+COMMON_DEPEND="
+       >=dev-libs/glib-2.32.0:2
+       >=lxde-base/lxde-common-0.99.2-r1
+       sys-apps/dbus
+       sys-auth/polkit
+       x11-libs/cairo
+       x11-libs/gdk-pixbuf:2
+       x11-libs/gtk+:3[X]
+       x11-libs/libX11
+"
+RDEPEND="
+       ${COMMON_DEPEND}
+       !lxde-base/lxsession-edit
+       sys-apps/lsb-release
+       upower? ( sys-power/upower )
+"
+DEPEND="
+       ${COMMON_DEPEND}
+       x11-base/xorg-proto
+"
+BDEPEND="
+       $(vala_depend)
+       >=app-text/docbook-xsl-stylesheets-1.70.1
+       app-text/docbook-xml-dtd:4.1.2
+       dev-libs/libxslt
+       dev-util/intltool
+       sys-devel/gettext
+       virtual/pkgconfig
+"
+
+PATCHES=(
+       # Fedora patches
+       "${FILESDIR}"/${PN}-0.5.2-reload.patch
+       "${FILESDIR}"/${PN}-0.5.2-notify-daemon-default.patch
+)
+
+src_prepare() {
+       # Not needed w/o a release tarball
+       #rm *.stamp || die
+
+       vala_setup
+       default
+       eautoreconf
+}
+
+src_configure() {
+       # dbus is used for restart/shutdown (logind), and suspend/hibernate 
(UPower)
+       local myeconfargs=(
+               --enable-gtk3
+               $(use_enable nls)
+               # As of 0.5.6, there's no more dist tarballs, but we
+               # still want man pages.
+               --enable-man
+       )
+
+       econf "${myeconfargs[@]}"
+}

Reply via email to